# Ponton

## Installation

Add this line to your application's Gemfile:

    gem 'ponton'
    gem 'colorz'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ponton

## Usage

Action names should not be longer than 11 characters.

```ruby
require 'ponton'
require 'colorz'

ponton = Ponton::Out.new
ponton.info(:ok, "create", "file created successfully")
ponton.info(:warning, "update", "unable to update file")
ponton.info(:danger, "crash", "application crashed")
```
Output looks like this:

![Screenshot](screenshot.png)

## Contributing

1. Fork it ( https://github.com/[my-github-username]/ponton/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
